/*tags*/
html {
    direction: rtl;
    height: 100%;
    width: 100%;
    margin: 0;
    display: table;

}

.spinner-btn .spinner-border {
    --bs-spinner-width: 1rem;
    --bs-spinner-height: 1rem;
}

.btn-primary:hover,.btn-primary:active,.btn:first-child:active,.btn-primary:focus-visible {
    background: #61a12a;
    border-color: #61a12a;
    box-shadow: none;
}

@-webkit-keyframes spinner-border {
    to {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spinner-border {
    to {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.spinner-border {
    display: inline-block;
    width: 1rem;
    height: 1rem;
    vertical-align: text-bottom;
    border: 0.25em solid currentColor;
    border-right-color: transparent;
    border-radius: 50%;
    -webkit-animation: spinner-border .75s linear infinite;
    animation: spinner-border .75s linear infinite;
}

.spinner-border-sm {
    width: 1rem;
    height: 1rem;
    border-width: 0.2em;
}

@-webkit-keyframes spinner-grow {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
    50% {
        opacity: 1;
        transform: none;
    }
}

@keyframes spinner-grow {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
    50% {
        opacity: 1;
        transform: none;
    }
}

.spinner-grow {
    display: inline-block;
    width: 2rem;
    height: 2rem;
    vertical-align: text-bottom;
    background-color: currentColor;
    border-radius: 50%;
    opacity: 0;
    -webkit-animation: spinner-grow .75s linear infinite;
    animation: spinner-grow .75s linear infinite;
}

.spinner-grow-sm {
    width: 1rem;
    height: 1rem;
}

body {
    font-family: 'IranSans';
    height: 100%;
    width: 100%;
    margin: 0;
    display: table;
    font-size: 1rem;
}

/*push footer to the bottom*/
body {
    display: flex;
    min-height: 100vh;
    flex-direction: column;
    justify-content: flex-start;
}

footer {
    margin-top: auto;
}

@media (min-width: 992px) {
    .footer-pwq-desk {
        display: block !important;
    }
}

.fs-1 {
    font-family: 'IranSans';
    font-weight: normal;
    font-size: large !important;
}

.fs-2 {
    font-family: 'IranSans';
    font-weight: normal;
    font-size: medium !important;
}

.fs-3 {
    font-family: 'IranSans';
    font-weight: normal;
    font-size: small !important;
}

.fs-4 {
    font-family: 'IranSans';
    font-weight: normal;
    font-size: smaller !important;
}

.fs-5 {
    font-family: 'IranSans';
    font-weight: normal;
    font-size: x-small !important;
}

.fs-6 {
    font-family: 'IranSans';
    font-weight: normal;
    font-size: xx-small !important;
}

.ts-1 {
    font-family: 'IranSans';
    font-weight: 700;
    font-size: large !important;
}

.ts-2 {
    font-family: 'IranSans';
    font-weight: 700;
    font-size: medium !important;
}

.ts-3 {
    font-family: 'IranSans';
    font-weight: 700;
    font-size: small !important;
}

.ts-4 {
    font-family: 'IranSans';
    font-weight: 700;
    font-size: smaller !important;
}

.ts-5 {
    font-family: 'IranSans';
    font-weight: 700;
    font-size: x-small !important;
}

.ts-6 {
    font-family: 'IranSans';
    font-weight: 700;
    font-size: xx-small !important;
}

h1, .h1 {
    font-family: 'IranSans';
    font-weight: 800;
    margin-bottom: 0;
    /*line-height: 20px;*/
    /*text-align: center;*/
    /*color: #353132;*/
}

h2, .h2 {
    font-family: 'IranSans';
    font-weight: 700;
    margin-bottom: 0;
    /*line-height: 20px;*/
    /*text-align: center;*/
    /*color: #353132;*/
}

h3, .h3 {
    font-family: 'IranSans';
    font-weight: 700;
    margin-bottom: 0;
    /*line-height: 20px;*/
    /*text-align: center;*/
    /*color: #353132;*/
}

h4, .h4 {
    font-family: 'IranSans';
    font-weight: 700;
    margin-bottom: 0;
    /*line-height: 20px;*/
    /*text-align: center;*/
    /*color: #353132;*/
}

p {
    font-size: 1rem;
    font-weight: normal;
}

a {
    text-decoration: none;
    color: var(--primary);
    cursor: pointer;
}

jdp-container{
    z-index: 100000 !important;
}

.FAQaccordion .accordion-item {
    border: var(--bs-accordion-border-width) solid var(--bs-accordion-border-color) !important;
    margin-bottom: .5rem;
    border-radius: 20px !important;
}

.FAQaccordion .accordion-body {
    font-size: .85rem;
    line-height: 1.5;
    padding-top: .25rem;
    border-radius: 20px;
}

.FAQaccordion .accordion-item .accordion-header,
.FAQaccordion .accordion-item .accordion-button {
    border-radius: 20px !important;
}

@media (max-width: 992px) {
    div:has(> div.FAQaccordion) {
        /*padding: 5px;*/
    }
}

/*formControls*/
.form-control {
    border-radius: 16px;
    font-size: 1rem;
    font-weight: bold;

}

input.form-control[wiki-type = text] {
    direction: rtl !important;
}

.form-control::placeholder {
    font-size: var(--bs-body-font-size);
    font-weight: var(--bs-body-font-weight);
    line-height: var(--bs-body-line-height);
}

.form-control:focus {
    box-shadow: none;
    border: var(--bs-border-width) solid var(--bs-primary);

}

input.form-control[wiki-type = text] {
    direction: rtl !important;
}

.form-floating:has(> select option:checked:is([value=""])) > label {
    transform: none;
}

/*header*/
.logo-title {
    font-family: 'IranSans';
    font-weight: 700;
    margin-bottom: 0;
    margin-right: 10px;
}
.userLogin-btn{
    width: 35px;
    height: 35px;
    margin-right: 20px;
    border: none;
    color: gray;
}

.userLogin-btn:hover {
    border: 1px solid var(--primary);
    border-radius: 20px;
}
.nav-item {
    position: relative;
    display: inline-block;
}
.nav-item::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 40%;
    width: 0;
    height: 3px;
    background-color: var(--primary);
    transition: all 0.3s ease;
    transform: translateX(-40%);
}
.nav-item:hover::before {
    width: 100%;
}


/*Multi Range*/
.horizontal-slider .slider-div {
    display: flex;
    flex-direction: row;
}

.horizontal-slider .slider-div > div {
    margin: 0 auto;
    width: 100% !important;
}

.horizontal-slider .slider.slider-horizontal {
    width: 100% !important;
    margin-top: .5rem !important;
}

.horizontal-slider .slider-track, .slider-selection {
    height: 4px !important;
    -webkit-box-shadow: unset !important;
    background-image: unset !important;
}

.horizontal-slider .slider-handle {
    width: 15px !important;
    height: 15px !important;
    -webkit-box-shadow: unset !important;
    background-image: unset !important;
    top: -1px !important;
}

/*vertical-slider-gradient*/
.vertical-slider-gradient .slider-track {
    background: linear-gradient(#02542D 0%, #BF6A02 50%, #B3261E 100%);
    border-radius: 0;
    width: 12px !important;
}

.vertical-slider-gradient:has(#priceRange) .slider-track {
    background: linear-gradient(#B3261E 0%, #BF6A02 50%, #02542D 100%);
    border-radius: 0;
    width: 12px !important;
}

.vertical-slider-gradient .slider.slider-vertical.slider-rtl .slider-track {
    right: 15%;
}

.vertical-slider-gradient .slider.slider-vertical {
    width: 25px !important;
    height: 280px !important;
}

.vertical-slider-gradient .slider-handle {
    /*margin-top: unset;*/
    background-image: linear-gradient(to bottom, #FFF, #FFF);
    box-shadow: 0 0 0 0.25rem rgba(217, 217, 217, 0.7);
}

.slider-outer-div.vertical-slider-gradient {
    display: inline-flex;
    margin: .3rem auto;
}


/*stepSlider*/
.step-slider .carousel-control-next-icon, .step-slider .carousel-control-prev-icon {
    border-radius: 50%;
    width: 2.5rem;
    height: 2.5rem;
}

.step-slider .carousel-control-prev, .step-slider .carousel-control-next {
    opacity: 1;
    width: auto !important;
    margin: 0 .5rem;
}

@media (max-width: 768px) {
    .step-slider .carousel-control-prev, .step-slider .carousel-control-next {
        margin: 0;
    }
}

.step-slider .carousel-control-prev-icon {
    background-image: url("data:image/svg+xml,%3Csvg%20width%3D%2243%22%20height%3D%2243%22%20viewBox%3D%220%200%2043%2043%22%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%3E%3Cpath%20d%3D%22M27.5473%2021.3222L19.1547%2012.9296L19.1547%2029.7148L27.5473%2021.3222Z%22%20fill%3D%22%23ffffff%22/%3E%3C/svg%3E");
}

.step-slider .carousel-control-next-icon {
    background-image: url("data:image/svg+xml,%3Csvg%20width%3D%2243%22%20height%3D%2243%22%20viewBox%3D%220%200%2043%2043%22%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%3E%3Cpath%20d%3D%22M15.4527%2021.3222L23.8453%2012.9296L23.8453%2029.7148L15.4527%2021.3222Z%22%20fill%3D%22%23ffffff%22/%3E%3C/svg%3E");
}

.step-slider .carousel-inner {
    height: 300px;
}

@media (max-width: 768px) {
    .step-slider .carousel-inner {
        height: 450px;
    }
}

.step-slider .carousel-item {
    height: 100%;
}

.step-slider .carousel-indicators [data-bs-target] {
    width: 9px;
    height: 9px;
    border-radius: 50%;
    opacity: .75;
    transition: all 1s;
}

.step-slider .carousel-indicators .active {
    opacity: 1;
}

.step-slider .step-wrapper {
    overflow-x: auto;
    white-space: nowrap;
    max-width: 90vw;
    scrollbar-width: none;
    -ms-overflow-style: none;
    text-align: center;
}

@media (max-width: 768px) {
    .step-slider .step-wrapper {
        max-width: 75vw;
    }
}

.step-slider .step-wrapper::-webkit-scrollbar {
    display: none;
}

.step-slider .step-container {
    display: inline-flex;
    overflow-x: auto;
}

.step-slider .step {
    flex: 0 0 auto;
    position: relative;
    white-space: nowrap;
    transition: background-color 0.3s, color 0.3s;
    width: 175px;
    display: inline-block;
    padding: 0.25rem;
    margin: 0 .1rem;
    font-size: .8rem;
    font-weight: 300;
    border-radius: 0 50rem 50rem 0;
    border: none;
    clip-path: polygon(10% 0, 100% 0, 100% 100%, 10% 100%, 0 50%);
    text-align: center;
}

.step-slider .step:last-child {
    clip-path: unset;
    border-radius: 50rem;
}

.step-slider .step.active {
    font-weight: 600;
}



.container-nav {
    position: sticky;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1030;
}
.navbar-toggler {
    border: none !important;
    outline: none !important;
    box-shadow: none !important;
}

.divider { display: flex; align-items: center; gap: 12px;width: 95%}
.divider .dots { display: flex; gap: 8px; align-items: center; }
.divider .dot { background: #3a6219; border-radius: 50%; box-shadow: 0 2px 0 rgba(58, 98, 25,0.12); display: inline-block;width: 5px; height: 5px; }
.divider .line { flex: 1; height: 5px; border-radius: 999px; background: linear-gradient(90deg, #95cb65 0%, #3a6219 100%); box-shadow: 0 2px 0 rgba(58, 98, 25,0.12); min-width: 100px; align-self: center; }


/*about*/
.hr {
    display: block;
    height: 2px;
    border: 0;
    border-top: 2px solid #ccc;
    margin: 1em 0;
    padding: 0;
    /*width: 20%;*/
}
/*.accordion-button:focus {*/
/*     outline: unset;*/
/*     box-shadow: unset;*/
/*}*/

.accordion-button:not(.collapsed) {
     background-color: unset;
     box-shadow: unset;
    border-radius: 20px;
}
.accordion-button:is(.collapsed) {
     background-color: unset;
     box-shadow: unset;
    border-radius: 20px;
}


/*cards*/
.span-number {
    background-color: #3a6219;
    /*height: 20px;*/
    align-items: center;
    justify-content: center;
    font-weight: 600;
    color: white;
    border-radius: 7px;
    padding:3px;
}
.close-btn {
    background-color: var(--cool-red);
    /*height: 20px;*/
    align-items: center;
    justify-content: center;
    font-weight: 600;
    color: white;
    border-radius: 7px;
    padding: 3px;
}
.icon-delete {
    fill: #707070;
    background: none;
    border: none;
}
.icon-delete:hover{
    fill: #D61717;
}
@media screen and (max-width: 600px) {
    .mobile-hidden {
        display: none;
    }
}